package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * (StaFeasibilityreport)实体类
 *
 * @author makejava
 * @since 2023-03-03 23:38:22
 */
public class StaFeasibilityreport implements Serializable {
    private static final long serialVersionUID = 363980474216708860L;

    private Integer id;
    /**
     * 名称
     */
    private String mc;
    /**
     * 起始
     */
    private Date qs;
    /**
     * 完成
     */
    private Date wc;
    /**
     * 申请单位
     */
    private Integer sqdw;
    /**
     * 申请单位名
     */
    private String sqdwName;

    /**
     * 所属部门名
     */
    private String ssbmName;

    /**
     * 审批人名
     */
    private String sprName;
    /**
     * 创建人名
     */
    private String cjrName;

    /**
     * 项目负责人
     */
    private Integer xmfzr;
    /**
     * 项目负责人名
     */
    private String xmfzrName;
    /**
     * 通讯地址
     */
    private String txdd;
    /**
     * 邮政编码
     */
    private String yzbm;
    /**
     * 电话
     */
    private String dh;
    /**
     * 传真
     */
    private String cz;
    /**
     * 申请日期
     */
    private Date sqrq;
    /**
     * 所属部门
     */
    private Integer ssbm;
    /**
     * 目的和意义
     */
    private String mdhyy;
    /**
     * 国内外研究水平综述
     */
    private String gnwyjspzs;
    /**
     * 项目的理论和实践依据
     */
    private String xmdllhsjyj;
    /**
     * 项目研究内容和实施方案
     */
    private String xmyjnrhssfa;
    /**
     * 经济性于财务合规性
     */
    private String jjxycwhgx;
    /**
     * 预期目标和成果形式
     */
    private String yqmbhcgxs;
    /**
     * 合作单位或依托工程单位落实情况
     */
    private String hzdwhytgcdwlsqk;
    /**
     * 项目承担单位的条件
     */
    private String xmcddwdtj;
    /**
     * 创建日期
     */
    private Date cjrq;
    /**
     * 创建人
     */
    private Integer cjr;
    /**
     * 已审批
     */
    private Boolean ysp;
    /**
     * 审批日期
     */
    private Date sprq;
    /**
     * 审批等级
     */
    private String spdj;
    /**
     * 审批设置人
     */
    private Integer spszr;
    /**
     * 项目类型
     */
    private String xmlx;
    private String xmlxmc;
    /**
     * 有关证明文件
     */
    private String ygzmwj;
    /**
     * 申请单位领导审查意见
     */
    private String sqdwldscyj1;

    /**
     * 审查意见附件
     */
    private String scyjfj;
    /**
     * 附件
     */
    private String fj;
    /**
     * 申请单位领导审查意见
     */
    private String sqdwldscyj2;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 目的和意义文本内容
     */
    private String mdhyywbnr;
    /**
     * 目的和意义文本
     */
    private String mdhyywb;
    /**
     * 国内外研究水平综述文本
     */
    private String gnwyjspzswb;
    /**
     * 项目的了理论和实践依据文本
     */
    private String xmdllhsjyjwb;
    /**
     * 项目研究内容和实施方案文本
     */
    private String xmyjnrhssfawb;
    /**
     * 项目负责人
     */
    private String staDirectorList;
    /**
     * 进度安排
     */
    private String staScheduleList;
    /**
     * 经费预算
     */
    private String staBudgetList;
    private double ysje;

    public String getScyjfj() {
        return scyjfj;
    }

    public void setScyjfj(String scyjfj) {
        this.scyjfj = scyjfj;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public Date getQs() {
        return qs;
    }

    public void setQs(Date qs) {
        this.qs = qs;
    }

    public Date getWc() {
        return wc;
    }

    public void setWc(Date wc) {
        this.wc = wc;
    }

    public Integer getSqdw() {
        return sqdw;
    }

    public void setSqdw(Integer sqdw) {
        this.sqdw = sqdw;
    }

    public String getSqdwName() {
        return sqdwName;
    }

    public void setSqdwName(String sqdwName) {
        this.sqdwName = sqdwName;
    }

    public String getSsbmName() {
        return ssbmName;
    }

    public void setSsbmName(String ssbmName) {
        this.ssbmName = ssbmName;
    }

    public String getSprName() {
        return sprName;
    }

    public void setSprName(String sprName) {
        this.sprName = sprName;
    }

    public String getCjrName() {
        return cjrName;
    }

    public void setCjrName(String cjrName) {
        this.cjrName = cjrName;
    }

    public Integer getXmfzr() {
        return xmfzr;
    }

    public void setXmfzr(Integer xmfzr) {
        this.xmfzr = xmfzr;
    }

    public String getXmfzrName() {
        return xmfzrName;
    }

    public void setXmfzr(String xmfzr) {
        this.xmfzrName = xmfzrName;
    }

    public String getTxdd() {
        return txdd;
    }

    public void setTxdd(String txdd) {
        this.txdd = txdd;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getDh() {
        return dh;
    }

    public void setDh(String dh) {
        this.dh = dh;
    }

    public String getCz() {
        return cz;
    }

    public void setCz(String cz) {
        this.cz = cz;
    }

    public Date getSqrq() {
        return sqrq;
    }

    public void setSqrq(Date sqrq) {
        this.sqrq = sqrq;
    }

    public Integer getSsbm() {
        return ssbm;
    }

    public void setSsbm(Integer ssbm) {
        this.ssbm = ssbm;
    }

    public String getMdhyy() {
        return mdhyy;
    }

    public void setMdhyy(String mdhyy) {
        this.mdhyy = mdhyy;
    }

    public String getGnwyjspzs() {
        return gnwyjspzs;
    }

    public void setGnwyjspzs(String gnwyjspzs) {
        this.gnwyjspzs = gnwyjspzs;
    }

    public String getXmdllhsjyj() {
        return xmdllhsjyj;
    }

    public void setXmdllhsjyj(String xmdllhsjyj) {
        this.xmdllhsjyj = xmdllhsjyj;
    }

    public String getXmyjnrhssfa() {
        return xmyjnrhssfa;
    }

    public void setXmyjnrhssfa(String xmyjnrhssfa) {
        this.xmyjnrhssfa = xmyjnrhssfa;
    }


    public String getJjxycwhgx() {
        return jjxycwhgx;
    }

    public void setJjxycwhgx(String jjxycwhgx) {
        this.jjxycwhgx = jjxycwhgx;
    }

    public String getYqmbhcgxs() {
        return yqmbhcgxs;
    }

    public void setYqmbhcgxs(String yqmbhcgxs) {
        this.yqmbhcgxs = yqmbhcgxs;
    }

    public String getHzdwhytgcdwlsqk() {
        return hzdwhytgcdwlsqk;
    }

    public void setHzdwhytgcdwlsqk(String hzdwhytgcdwlsqk) {
        this.hzdwhytgcdwlsqk = hzdwhytgcdwlsqk;
    }

    public String getXmcddwdtj() {
        return xmcddwdtj;
    }

    public void setXmcddwdtj(String xmcddwdtj) {
        this.xmcddwdtj = xmcddwdtj;
    }

    public Date getCjrq() {
        return cjrq;
    }

    public void setCjrq(Date cjrq) {
        this.cjrq = cjrq;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

    public Boolean getYsp() {
        return ysp;
    }

    public void setYsp(Boolean ysp) {
        this.ysp = ysp;
    }

    public Date getSprq() {
        return sprq;
    }

    public void setSprq(Date sprq) {
        this.sprq = sprq;
    }

    public String getSpdj() {
        return spdj;
    }

    public void setSpdj(String spdj) {
        this.spdj = spdj;
    }

    public Integer getSpszr() {
        return spszr;
    }

    public void setSpszr(Integer spszr) {
        this.spszr = spszr;
    }

    public String getXmlx() {
        return xmlx;
    }

    public void setXmlx(String xmlx) {
        this.xmlx = xmlx;
    }

    public String getYgzmwj() {
        return ygzmwj;
    }

    public void setYgzmwj(String ygzmwj) {
        this.ygzmwj = ygzmwj;
    }

    public String getSqdwldscyj1() {
        return sqdwldscyj1;
    }

    public void setSqdwldscyj1(String sqdwldscyj1) {
        this.sqdwldscyj1 = sqdwldscyj1;
    }

    public String getFj() {
        return fj;
    }

    public void setFj(String fj) {
        this.fj = fj;
    }

    public String getSqdwldscyj2() {
        return sqdwldscyj2;
    }

    public void setSqdwldscyj2(String sqdwldscyj2) {
        this.sqdwldscyj2 = sqdwldscyj2;
    }

    public String getSpzt() {
        return spzt;
    }

    public void setSpzt(String spzt) {
        this.spzt = spzt;
    }

    public String getMdhyywbnr() {
        return mdhyywbnr;
    }

    public void setMdhyywbnr(String mdhyywbnr) {
        this.mdhyywbnr = mdhyywbnr;
    }

    public String getMdhyywb() {
        return mdhyywb;
    }

    public void setMdhyywb(String mdhyywb) {
        this.mdhyywb = mdhyywb;
    }

    public String getGnwyjspzswb() {
        return gnwyjspzswb;
    }

    public void setGnwyjspzswb(String gnwyjspzswb) {
        this.gnwyjspzswb = gnwyjspzswb;
    }

    public String getXmdllhsjyjwb() {
        return xmdllhsjyjwb;
    }

    public void setXmdllhsjyjwb(String xmdllhsjyjwb) {
        this.xmdllhsjyjwb = xmdllhsjyjwb;
    }

    public String getXmyjnrhssfawb() {
        return xmyjnrhssfawb;
    }

    public void setXmyjnrhssfawb(String xmyjnrhssfawb) {
        this.xmyjnrhssfawb = xmyjnrhssfawb;
    }

    public void setXmfzrName(String xmfzrName) {
        this.xmfzrName = xmfzrName;
    }

    public String getStaDirectorList() {
        return staDirectorList;
    }

    public void setStaDirectorList(String staDirectorList) {
        this.staDirectorList = staDirectorList;
    }

    public String getStaScheduleList() {
        return staScheduleList;
    }

    public void setStaScheduleList(String staScheduleList) {
        this.staScheduleList = staScheduleList;
    }

    public String getStaBudgetList() {
        return staBudgetList;
    }

    public void setStaBudgetList(String staBudgetList) {
        this.staBudgetList = staBudgetList;
    }

    public String getXmlxmc() {
        return xmlxmc;
    }

    public void setXmlxmc(String xmlxmc) {
        this.xmlxmc = xmlxmc;
    }

    public double getYsje() {
        return ysje;
    }

    public void setYsje(double ysje) {
        this.ysje = ysje;
    }
}

